be.ehealth.businessconnector.dicsv4.session

## Interface DicsSessionService

- All Known Implementing Classes:
    DicsSessionServiceImpl

      public interface DicsSessionService

  interface with the methods of the dics v4 webservice. Default impl : `DicsSessionServiceImpl` Factory : `DicsSessionServiceFactory`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `FindAmpResponse` | `findAmp(FindAmpRequest findAmpRequest)`
    `FindCommentedClassificationResponse` | `findCommentedClassification(FindCommentedClassificationRequest findCommentedClassificationRequest)`
    `FindCompanyResponse` | `findCompany(FindCompanyRequest findCompanyRequest)`
    `FindCompoundingFormulaResponse` | `findFormula(FindCompoundingFormulaRequest findCompoundingFormulaRequest)`
    `FindCompoundingIngredientResponse` | `findIngredient(FindCompoundingIngredientRequest findCompoundingIngredientRequest)`
    `FindLegislationTextResponse` | `findLegislationText(FindLegislationTextRequest findLegislationTextRequest)`
    `FindNonMedicinalProductResponse` | `findNonMedicinalProduct(FindNonMedicinalProductRequest findNonMedicinalProductRequest)`
    `FindReferencesResponse` | `findReferences(FindReferencesRequest findReferencesRequest)`
    `FindReimbursementResponse` | `findReimbursement(FindReimbursementRequest findReimbursementRequest)`
    `FindVmpResponse` | `findVmp(FindVmpRequest findVmpRequest)`
    `FindVmpGroupResponse` | `findVmpGroup(FindVmpGroupRequest findVmpRequest)`
    `FindVtmResponse` | `findVtm(FindVtmRequest findVtmRequest)`
    `GetListOfActualMedicinalProductPackagesResponse` | `getListOfActualMedicinalProductPackages(GetListOfActualMedicinalProductPackagesRequest getListOfActualMedicinalProductPackagesRequest)`
    `GetListOfActualMedicinalProductsResponse` | `getListOfActualMedicinalProducts(GetListOfActualMedicinalProductsRequest getListOfActualMedicinalProductsRequest)`
    `GetListOfVirtualMedicinalProductsResponse` | `getListOfVirtualMedicinalProducts(GetListOfVirtualMedicinalProductsRequest getListOfVirtualMedicinalProductsRequest)`
    `GetListOfVmpGroupsResponse` | `getListOfVmpGroups(GetListOfVmpGroupsRequest getListOfVmpGroupsRequest)`

- - ### Method Detail

    - #### findAmp

          FindAmpResponse findAmp(FindAmpRequest findAmpRequest)
                           throws TechnicalConnectorException,
                                  DicsException,
                                  DicsDataNotFoundException

      Parameters:
        `findAmpRequest` -
      Returns:
      Throws:
        `TechnicalConnectorException`
        `DicsException` - if the response has a business error. The `getResponse` method can be expected to a StatusResponseType of type FindAmpResponse
        `DicsDataNotFoundException` - if the response has no business data. The `getResponse` method can be expected to a StatusResponseType of type FindAmpResponse

    - #### findCommentedClassification

          FindCommentedClassificationResponse findCommentedClassification(FindCommentedClassificationRequest findCommentedClassificationRequest)
                                                                   throws TechnicalConnectorException,
                                                                          DicsException,
                                                                          DicsDataNotFoundException

      Parameters:
        `findCommentedClassificationRequest` -
      Returns:
      Throws:
        `TechnicalConnectorException`
        `DicsException` - if the response has a business error. The `getResponse` method can be expected to a StatusResponseType of type FindCommentedClassificationResponse
        `DicsDataNotFoundException` - if the response has no business data. The `getResponse` method can be expected to a StatusResponseType of type FindCommentedClassificationResponse

    - #### findCompany

          FindCompanyResponse findCompany(FindCompanyRequest findCompanyRequest)
                                   throws TechnicalConnectorException,
                                          DicsException,
                                          DicsDataNotFoundException

      Parameters:
        `findCompanyRequest` -
      Returns:
        FindCompanyResponse
      Throws:
        `DicsException` - if the response has a business error. The `getResponse` method can be expected to a StatusResponseType of type FindCompanyResponse
        `DicsDataNotFoundException` - if the response has no business data. The `getResponse` method can be expected to a StatusResponseType of type FindCompanyResponse
        `TechnicalConnectorException`

    - #### findIngredient

          FindCompoundingIngredientResponse findIngredient(FindCompoundingIngredientRequest findCompoundingIngredientRequest)
                                                    throws TechnicalConnectorException,
                                                           DicsException,
                                                           DicsDataNotFoundException

      Parameters:
        `findCompoundingIngredientRequest` -
      Returns:
      Throws:
        `TechnicalConnectorException`
        `DicsException` - if the response has a business error. The `getResponse` method can be expected to a StatusResponseType of type FindCompoundingIngredientResponse
        `DicsDataNotFoundException` - if the response has no business data. The `getResponse` method can be expected to a StatusResponseType of type FindCompoundingIngredientResponse

    - #### findVmpGroup

          FindVmpGroupResponse findVmpGroup(FindVmpGroupRequest findVmpRequest)
                                     throws TechnicalConnectorException,
                                            DicsException,
                                            DicsDataNotFoundException

      Parameters:
        `findVmpRequest` -
      Returns:
      Throws:
        `TechnicalConnectorException`
        `DicsException` - if the response has a business error. The `getResponse` method can be expected to a StatusResponseType of type FindVmpGroupResponse
        `DicsDataNotFoundException` - if the response has no business data. The `getResponse` method can be expected to a StatusResponseType of type FindVmpGroupResponse

    - #### findVtm

          FindVtmResponse findVtm(FindVtmRequest findVtmRequest)
                           throws TechnicalConnectorException,
                                  DicsException,
                                  DicsDataNotFoundException

      Parameters:
        `findVtmRequest` -
      Returns:
      Throws:
        `TechnicalConnectorException`
        `DicsException` - if the response has a business error. The `getResponse` method can be expected to a StatusResponseType of type FindVtmResponse
        `DicsDataNotFoundException` - if the response has no business data. The `getResponse` method can be expected to a StatusResponseType of type FindVtmResponse

    - #### findFormula

          FindCompoundingFormulaResponse findFormula(FindCompoundingFormulaRequest findCompoundingFormulaRequest)
                                              throws TechnicalConnectorException,
                                                     DicsException,
                                                     DicsDataNotFoundException

      Parameters:
        `findCompoundingFormulaRequest` -
      Returns:
      Throws:
        `TechnicalConnectorException`
        `DicsException` - if the response has a business error. The `getResponse` method can be expected to a StatusResponseType of type FindCompoundingFormulaResponse
        `DicsDataNotFoundException` - if the response has no business data. The `getResponse` method can be expected to a StatusResponseType of type FindCompoundingFormulaResponse

    - #### findLegislationText

          FindLegislationTextResponse findLegislationText(FindLegislationTextRequest findLegislationTextRequest)
                                                   throws TechnicalConnectorException,
                                                          DicsException,
                                                          DicsDataNotFoundException

      Parameters:
        `findLegislationTextRequest` -
      Returns:
      Throws:
        `TechnicalConnectorException`
        `DicsException` - if the response has a business error. The `getResponse` method can be expected to a StatusResponseType of type FindLegislationTextResponse
        `DicsDataNotFoundException` - if the response has no business data. The `getResponse` method can be expected to a StatusResponseType of type FindLegislationTextResponse

    - #### findReferences

          FindReferencesResponse findReferences(FindReferencesRequest findReferencesRequest)
                                         throws TechnicalConnectorException,
                                                DicsException,
                                                DicsDataNotFoundException

      Parameters:
        `findReferencesRequest` -
      Returns:
      Throws:
        `TechnicalConnectorException`
        `DicsException` - if the response has a business error. The `getResponse` method can be expected to a StatusResponseType of type FindReferencesResponse
        `DicsDataNotFoundException` - if the response has no business data. The `getResponse` method can be expected to a StatusResponseType of type FindReferencesResponse

    - #### findReimbursement

          FindReimbursementResponse findReimbursement(FindReimbursementRequest findReimbursementRequest)
                                               throws TechnicalConnectorException,
                                                      DicsException,
                                                      DicsDataNotFoundException

      Parameters:
        `findReimbursementRequest` -
      Returns:
      Throws:
        `TechnicalConnectorException`
        `DicsException` - if the response has a business error. The `getResponse` method can be expected to a StatusResponseType of type FindReimbursementResponse
        `DicsDataNotFoundException` - if the response has no business data. The `getResponse` method can be expected to a StatusResponseType of type FindReimbursementResponse

    - #### findVmp

          FindVmpResponse findVmp(FindVmpRequest findVmpRequest)
                           throws TechnicalConnectorException,
                                  DicsException,
                                  DicsDataNotFoundException

      Parameters:
        `findVmpRequest` -
      Returns:
      Throws:
        `TechnicalConnectorException`
        `DicsException` - if the response has a business error. The `getResponse` method can be expected to a StatusResponseType of type FindVmpResponse
        `DicsDataNotFoundException` - if the response has no business data. The `getResponse` method can be expected to a StatusResponseType of type FindVmpResponse

    - #### findNonMedicinalProduct

          FindNonMedicinalProductResponse findNonMedicinalProduct(FindNonMedicinalProductRequest findNonMedicinalProductRequest)
                                                           throws TechnicalConnectorException,
                                                                  DicsException,
                                                                  DicsDataNotFoundException

      Parameters:
        `findNonMedicinalProductRequest` -
      Returns:
      Throws:
        `TechnicalConnectorException`
        `DicsException` - if the response has a business error. The `getResponse` method can be expected to a StatusResponseType of type FindNonMedicinalProductResponse
        `DicsDataNotFoundException` - if the response has no business data. The `getResponse` method can be expected to a StatusResponseType of type FindNonMedicinalProductResponse

    - #### getListOfVirtualMedicinalProducts

          GetListOfVirtualMedicinalProductsResponse getListOfVirtualMedicinalProducts(GetListOfVirtualMedicinalProductsRequest getListOfVirtualMedicinalProductsRequest)
                                                                               throws TechnicalConnectorException,
                                                                                      DicsException,
                                                                                      DicsDataNotFoundException

      Parameters:
        `getListOfVirtualMedicinalProductsRequest` -
      Returns:
      Throws:
        `TechnicalConnectorException`
        `DicsException` - if the response has a business error. The `getResponse` method can be expected to a StatusResponseType of type GetListOfVirtualMedicinalProductsResponse
        `DicsDataNotFoundException` - if the response has no business data. The `getResponse` method can be expected to a StatusResponseType of type GetListOfVirtualMedicinalProductsResponse

    - #### getListOfVmpGroups

          GetListOfVmpGroupsResponse getListOfVmpGroups(GetListOfVmpGroupsRequest getListOfVmpGroupsRequest)
                                                 throws TechnicalConnectorException,
                                                        DicsException,
                                                        DicsDataNotFoundException

      Parameters:
        `getListOfVmpGroupsRequest` -
      Returns:
      Throws:
        `TechnicalConnectorException`
        `DicsException` - if the response has a business error. The `getResponse` method can be expected to a StatusResponseType of type GetListOfVmpGroupsResponse
        `DicsDataNotFoundException` - if the response has no business data. The `getResponse` method can be expected to a StatusResponseType of type GetListOfVmpGroupsResponse

    - #### getListOfActualMedicinalProductPackages

          GetListOfActualMedicinalProductPackagesResponse getListOfActualMedicinalProductPackages(GetListOfActualMedicinalProductPackagesRequest getListOfActualMedicinalProductPackagesRequest)
                                                                                           throws TechnicalConnectorException,
                                                                                                  DicsException,
                                                                                                  DicsDataNotFoundException

      Parameters:
        `getListOfActualMedicinalProductPackagesRequest` -
      Returns:
      Throws:
        `TechnicalConnectorException`
        `DicsException` - if the response has a business error. The `getResponse` method can be expected to a StatusResponseType of type GetListOfActualMedicinalProductPackagesResponse
        `DicsDataNotFoundException` - if the response has no business data. The `getResponse` method can be expected to a StatusResponseType of type GetListOfActualMedicinalProductPackagesResponse

    - #### getListOfActualMedicinalProducts

          GetListOfActualMedicinalProductsResponse getListOfActualMedicinalProducts(GetListOfActualMedicinalProductsRequest getListOfActualMedicinalProductsRequest)
                                                                             throws TechnicalConnectorException,
                                                                                    DicsException,
                                                                                    DicsDataNotFoundException

      Parameters:
        `getListOfActualMedicinalProductsRequest` -
      Returns:
      Throws:
        `TechnicalConnectorException`
        `DicsException` - if the response has a business error. The `getResponse` method can be expected to a StatusResponseType of type GetListOfActualMedicinalProductsResponse
        `DicsDataNotFoundException` - if the response has no business data. The `getResponse` method can be expected to a StatusResponseType of type GetListOfActualMedicinalProductsResponse

Connector Packaging PERSAUDIOLOGIST 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.